DNS automation
v1.6.2
Get DNSSEC configuration
Retrieve the current DNSSEC configuration and status for the specified domain. Important response fields: -
desired_state: the target DNSSEC state - live_state: the last state observed from the registry and delegation checks - dnssec_state: high-level status for quick status checks (active, pending, inactive) - pending_job: the current DNSSEC transition job, if processing is still in progress DNSSEC changes can be asynchronous, so desired_state and live_state may differ temporarily.GET
/dns/{domain}/dnssec
DomainDNSSECByDomain
Authentication
Parameters
Name
Type
Format
Required
Description
domain
string
-
Required
Fully Qualified Domain Name.
Request example
GET
curl --request GET \
--url 'https://api.regfish.com/dns/www.example.com/dnssec' \
--header 'x-api-key: YOUR_API_KEY'Responses
200
DNSSEC configuration
Response example 200
{
"success": true,
"code": 0,
"response": {
"configured": true,
"dnssec_state": "active",
"mode": "none",
"desired_state": "disabled",
"live_state": "disabled",
"capabilities": {
"supported": true,
"provider": "example",
"mode_regfish_available": true,
"mode_external_available": true,
"accepted_record_kinds": [
"ds"
],
"min_records": 1,
"accepted_algorithms": [
1
]
},
"desired_records": [
{
"kind": "ds",
"algorithm": 1
}
],
"live_records": [
{
"kind": "ds",
"algorithm": 1
}
],
"using_regfish_nameservers": true,
"legacy_mode": true,
"zone_signed": true,
"zone_pending_disable": true
}
}401
Unauthorized
Response example 401
{
"success": false,
"message": "Unauthorized",
"error": "Unauthorized"
}404
Domain not found
Response example 404
{
"success": false,
"message": "Domain not found",
"error": "Domain not found"
}500
Unexpected error
Response example 500
{
"success": false,
"message": "Unexpected error",
"error": "Unexpected error"
}Community
Become part of the community
The regfish DNS API is a great solution for developers who want to automate domains and DNS zones. Become part of the community and benefit from DNS automation. The DNS API is available free of charge to every regfish customer.